REBOL [Title: "Time Extension"]

secure [extension allow]

t: import %ext-test.dll

diff-time: funct [reps [integer!] b1 [block!] b2 [block!]][
	t1: dt [loop reps b1]
	if zero? t1 [print "Use more repetitions." exit]
	t2: dt [loop reps b2]
	print [round/to t2 - t1 / t1 0.01% "slower"]
]

diff-time 1000000 [negate 1] [t-neg 1]
diff-time 1000000 [add 1 2] [t-addi 1 2]
diff-time 1000000 [add 1.0 2.0] [t-addd 1.0 2.0]

halt