; NOTE: This is the extension source module definition that will be
; converted by make-ext.r to ext-data.h (to be included in the dll).
; The commands specified here match implementations in ext-test.c.

REBOL [
	Title: {Simple extension test}
	Name: ext-test
	Type: extension
	Exports: []
]

print "initializing extension..."

map-words: command [words [block!]]

t-unset: command []
t-none: command []
t-true: command []
t-false: command []

t-value: command [v]
t-block: command [a b c]
t-word: command [w [word!]]
t-word-map: command [w [word!]]

t-neg: command [a [integer!]]
t-addi: command [a [integer!] b [integer!]]
t-addd: command [a [decimal!] b [decimal!]]

t-ser-len: command [s [series!]]
t-ser-size: command [s [series!]]
t-picks: command [str [string!] index [integer!]]
t-pokes: command [str [string!] index [integer!] char [char!]]
t-pickb: command [blk [block!] index [integer!]]
t-pokeb: command [blk [block!] index [integer!] val]

t-handle: command []
t-handle?: command [h [handle!]]

t-makes: command []
t-makeb: command []

print "extension added"
