REBOL [
	Title: "Test Extension"
]

secure [extension allow]

t: import %ext-test.dll

map-words [xx yy aa bb]

probe t-none
probe t-true
probe t-false
probe t-unset
probe t-value 123
probe t-block 1 2 3
probe t-word 'rebol
probe t-word-map 'aa

probe t-neg 123
probe t-addi 1 2
probe t-addd 1.1 2.2

probe t-ser-len "abc"
probe t-ser-size "abc"
probe t-ser-len [1 2 3]
probe t-ser-size [1 2 3]

probe t-picks "abcd" 3
t-pokes s: "abcd" 3 #"x"
probe s
t-pokes s 5 #"!"
probe s  
probe t-pickb [111 222 333] 2
probe t-pickb [aa bb cc] 2
t-pokeb b: [111 222 333] 2 444
probe b
b: []
repeat n 4 [t-pokeb b n n * 1111]
probe b

probe h: t-handle
probe t-handle? h

probe t-makes
probe t-makeb

ask "done"